
$margins: (
  ('mt', 'margin-top'),
  ('mr', 'margin-right'),
  ('mb', 'margin-bottom'),
  ('ml', 'margin-left')
);

@for $i from 1 through 8 {
  @each $margin in $margins {
    .#{nth($margin, 1)}-#{$i} {
      #{nth($margin, 2)}: #{$i}em!important;
    }
  }
}
